//===========================================================================
// package
//===========================================================================
package jp.gr.java_conf.bugslife.action;

//===========================================================================
// import
//===========================================================================
import java.io.IOException;
import java.util.Locale;
import javax.servlet.*;
import javax.servlet.http.*;
import org.apache.commons.logging.*;
import org.apache.struts.action.*;
import org.apache.struts.util.*;
import org.apache.commons.beanutils.*;

import java.util.*;
import jp.gr.java_conf.bugslife.user.*;
import jp.gr.java_conf.bugslife.bug.*;
import jp.gr.java_conf.bugslife.form.*;
/**
 *<PRE>
 * 
 * InfoActionクラス
 *
 *</PRE>
 * @version	0.0
 * @author	鰐川 正寛
 */
public final class InfoAction extends BaseAction 
{
//===========================================================================
// attributes
//===========================================================================
	/**
	 * Log
	 */
	private Log log = LogFactory.getLog(this.getClass().getName());
//===========================================================================
// methods
//===========================================================================
	/**
	 * exevute
	 *
	 * @param mapping The ActionMapping used to select this instance
	 * @param actionForm The optional ActionForm bean for this request (if any)
	 * @param request The HTTP request we are processing
	 * @param response The HTTP response we are creating
	 *
	 * @exception Exception if business logic throws an exception
	 */
	public ActionForward doAction(ActionMapping mapping,
				 ActionForm form,
				 HttpServletRequest request,
				 HttpServletResponse response)
				throws Exception {
		
		/*  初期処理
		 */
		HttpSession session = getSession(request);	//sessioの取得
		UserInfo loginUser = (UserInfo)getAttribute(session,"UserInfo");	//ログインユーザの取得
		ActionForward forward = null;
		InfoForm myForm = (InfoForm)form;	//formの取得
		
		//ログインユーザの最終ログオフ日時から検索する
		Date date = loginUser.getLastLogoffDate();
		//最終ログオフ日がない場合
		if (date == null) {
			date = new Date(0);		//最小日時を生成する。
		}
		Collection bugs = BugFinder.findUpdateBug(date);
		//０件の場合
		if (bugs == null) {
			bugs = new ArrayList();
		}
		session.setAttribute("updateBug", bugs);
		
		
		//バグ件数をカウントする
		BugCount count = BugFinder.countBug();
		session.setAttribute("countBug", count);
		
		// Forward control to the specified success URI
		return mapping.findForward("success");
	}
}
